MeiroDocs

Customers' Attribute Values Counts

Required feature (one of):

Section: Group Customers' Attribute Values Counts. Base URL: https://instance_name.meiro.io/api/.

Customers' Attribute Values Counts [/customers/attributes/{attribute_id}/values/counts{?value_start,limit,offset,order_by,order_dir,load_full_structure}]

List All Attribute's Values Counts [GET]

Required feature (one of):

  • settings/global

  • settings/insights

  • data/sources_and_destinations

  • foreign_segments/list

  • foreign_segments/view

  • foreign_segments/edit

  • segments/create

  • segments/export

  • segments/insights

  • data/insights

  • data/dashboard

  • data/attributes

  • customers/search

  • Parameters

    • value_start (string, optional) - Attribute's value start filter
    • limit (number, optional) - Limit of the number of records returned
    • offset (number, optional) - Offset for the number of records returned
    • order_by (string, optional) - Ordered column name
    • order_dir (string, optional) - Ordering direction
  • Request

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "attribute_values_counts": [
        {
            "id": 100,
            "attribute_id": "1",
            "value": "foo",
            "count": 45
        },
        {
            "id": 200,
            "attribute_id": "attribute.sub_attribute",
            "value": "bar",
            "count": 12
        }
    ],
    "selection_settings": {
        "value_start": null,
        "value_contains": null,
        "limit": 20,
        "offset": null,
        "order_by": "count",
        "order_dir": "DESC"
    }
}

On this page